ContentMap (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.template.util.ContentMap,ContentMap class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.template.util
Class ContentMap

    java.lang.Object
      |
      +--org.apache.struts.taglib.template.util.ContentMap

All Implemented Interfaces:
  java.io.Serializable

Deprecated. Use Tiles instead.

public class ContentMap
extends java.lang.Object
implements java.io.Serializable

A simple facade for a hash map. This class restricts operations that can be performed on a hash map of contents.

Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:34:00 +0100 (Fri, 22 Aug 2003) $
Author:
  David Geary
See Also:
  Serialized Form

Field Summary
`private java.util.HashMap` | `map` Deprecated. The map.

Constructor Summary
`ContentMap()` Deprecated. Use Tiles instead.

Method Summary
`Content` | `get(java.lang.String name)` Deprecated. Use Tiles instead.
`void` | `put(java.lang.String name, Content content)` Deprecated. Use Tiles instead.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    private java.util.HashMap map

  Deprecated.
  The map.

Constructor Detail

### ContentMap

    public ContentMap()

  Deprecated. Use Tiles instead.

  Explicitly declare a do-nothing, no-arg constructor.

Method Detail

### put

    public void put(java.lang.String name,
                    Content content)

  Deprecated. Use Tiles instead.

  Put named content into map.

  Parameters:
    `name` - The content's name
    `content` - The content

### get

    public Content get(java.lang.String name)

  Deprecated. Use Tiles instead.

  Returns the content associated with name.

  Parameters:
    `name` - Name of content to retrieve

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation